Package oracle.kv

# Class PrepareQueryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.kv.FastExternalizableException
oracle.kv.PrepareQueryException

All Implemented Interfaces:
  `Serializable`, `oracle.kv.impl.util.FastExternalizable`

public class PrepareQueryException extends FastExternalizableException
An exception thrown when a prepared query is executed and the query must be re-prepared by the application before it can be executed.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrepareQueryException(DataInput in, short serialVersion)`
  `PrepareQueryException(String msg)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `writeFastExternal(DataOutput out, short serialVersion)`
  Writes the FastExternalizable object to the DataOutput.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface oracle.kv.impl.util.FastExternalizable

  `deserializedForm`

- ## Constructor Details

  - ### PrepareQueryException

    public PrepareQueryException(String msg)

  - ### PrepareQueryException

    public PrepareQueryException(DataInput in, short serialVersion) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### writeFastExternal

    public void writeFastExternal(DataOutput out, short serialVersion) throws IOException
    Description copied from interface: `oracle.kv.impl.util.FastExternalizable`
    Writes the FastExternalizable object to the DataOutput. To read the object, use a constructor or factory method as described in the class comments.
    Parameters:
      `out` - the output stream
      `serialVersion` - the serial version
    Throws:
      `IOException` - if there is a problem writing to the output stream